al_ref_cstr(3)

NAME

al_ref_cstr - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const ALLEGRO_USTR *al_ref_cstr(ALLEGRO_USTR_INFO *info, const char *s)

DESCRIPTION

Create a string that references the storage of a C-style string. The information about the string (e.g. its size) is stored in the structure pointed to by the info parameter. The string will not have any other storage allocated of its own, so if you allocate the info structure on the stack then no explicit "free" operation is required.

The string is valid until the underlying C string disappears.

Example:

    ALLEGRO_USTR_INFO info;
    ALLEGRO_USTR *us = al_ref_cstr(&info, "my string");

SEE ALSO

al_ref_buffer(3), al_ref_ustr(3)